import { IRequest } from '@fluidframework/core-interfaces';
import { IResolvedUrl } from '@fluidframework/driver-definitions';
import { IUrlResolver } from '@fluidframework/driver-definitions';
import { IUser } from '@fluidframework/protocol-definitions';
import { Provider } from 'nconf';

/**
 * @internal
 */
export declare interface IAlfredUser extends IUser {
    displayName: string;
    name: string;
}

/**
 * @internal
 */
export declare interface IConfig {
    serverUrl: string;
    blobStorageUrl: string;
    tenantId: string;
    documentId: string;
}

/**
 * @internal
 */
export declare class RouterliciousUrlResolver implements IUrlResolver {
    private readonly config;
    private readonly getToken;
    private readonly hostUrl;
    constructor(config: {
        provider: Provider;
        tenantId: string;
        documentId: string;
    } | undefined, getToken: () => Promise<string>, hostUrl: string);
    /**
     * Handles a request and returns the relevant endpoints for the environment
     */
    resolve(request: IRequest): Promise<IResolvedUrl | undefined>;
    getAbsoluteUrl(resolvedUrl: IResolvedUrl, relativeUrl: string): Promise<string>;
}

export { }
